libnvme(2)

NAME
enum nbft_info_nid_type - Namespace Identifier Type (NIDT)

SYNOPSIS
enum nbft_info_nid_type {
NBFT_INFO_NID_TYPE_NONE ,
NBFT_INFO_NID_TYPE_EUI64 ,
NBFT_INFO_NID_TYPE_NGUID ,
NBFT_INFO_NID_TYPE_NS_UUID

};

Constants

NBFT_INFO_NID_TYPE_NONE
    No identifier available.

NBFT_INFO_NID_TYPE_EUI64
    The EUI-64 identifier.

NBFT_INFO_NID_TYPE_NGUID
    The NSGUID identifier.

NBFT_INFO_NID_TYPE_NS_UUID
    The UUID identifier.